package factoreasyrest.service.impl;

import eu.cz.culs.kii.common.factoreasycommon.dbentities.FactoriesGameSettings;
import factoreasyrest.dao.FactOrEasyGameSettingsDAO;
import factoreasyrest.service.FactOrEasyGameSettingsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FactOrEasyGameSettingsServiceImpl implements FactOrEasyGameSettingsService {

    @Autowired
    private FactOrEasyGameSettingsDAO factOrEasyGameSettingsDAO;

    @Override
    public FactoriesGameSettings read(Long id) {
        return factOrEasyGameSettingsDAO.findOne(id);
    }

    @Override
    public List<FactoriesGameSettings> readAll() {
        return factOrEasyGameSettingsDAO.findAll();
    }

    @Override
    public FactoriesGameSettings create(FactoriesGameSettings factoriesGameSettings) {
        return factOrEasyGameSettingsDAO.save(factoriesGameSettings);
    }

    @Override
    public FactoriesGameSettings modify(FactoriesGameSettings factoriesGameSettings) {
        return factOrEasyGameSettingsDAO.save(factoriesGameSettings);
    }

    @Override
    public void delete(Long id) {
        factOrEasyGameSettingsDAO.delete(id);
    }


}
